LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
TableAutoFormats Service Referencepublished

represents the collection of AutoFormats. More...

`import"TableAutoFormats.idl";`

Inheritance diagram for TableAutoFormats:

## Exported Interfaces
interface | com::sun::star::container::XNameContainer
| provides methods to access, insert and remove AutoFormats via name. More...
interface | com::sun::star::container::XIndexAccess
| provides methods to access AutoFormats via index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all AutoFormats. More...

## Additional Inherited Members
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

represents the collection of AutoFormats.

There is only one instance of this collection, containing all AutoFormats usable in spreadsheet and text tables.

## Exported Interfaces

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all AutoFormats.

See also
  com::sun::star::sheet::TableAutoFormatEnumeration

interface com::sun::star::container::XIndexAccess

provides methods to access AutoFormats via index.

See also
  com::sun::star::sheet::TableAutoFormat

interface com::sun::star::container::XNameContainer

provides methods to access, insert and remove AutoFormats via name.

See also
  com::sun::star::sheet::TableAutoFormat

The documentation for this service was generated from the following file:

- com/sun/star/sheet/TableAutoFormats.idl